Index: code/trunk/visual_studio/vc8/core.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/core.vcproj	(revision 1505)
+++ code/trunk/visual_studio/vc8/core.vcproj	(revision 1535)
@@ -157,5 +157,5 @@
 			</File>
 			<File
-				RelativePath="..\..\src\core\CoreSettings.cc"
+				RelativePath="..\..\src\core\Core.cc"
 				>
 			</File>
@@ -188,8 +188,4 @@
 				>
 			</File>
-			<File
-				RelativePath="..\..\src\core\Tickable.cc"
-				>
-			</File>
 			<Filter
 				Name="tolua"
@@ -280,13 +276,33 @@
 				>
 				<File
-					RelativePath="..\..\src\core\InputBuffer.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\core\InputManager.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\core\KeyBinder.cc"
+					RelativePath="..\..\src\core\input\Button.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\input\CalibratorCallback.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\input\HalfAxis.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\input\InputBuffer.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\input\InputCommands.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\input\InputManager.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\input\KeyBinder.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\input\KeyDetector.cc"
 					>
 				</File>
@@ -331,12 +347,12 @@
 			</File>
 			<File
+				RelativePath="..\..\src\core\Core.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\core\CorePrereqs.h"
 				>
 			</File>
 			<File
-				RelativePath="..\..\src\core\CoreSettings.h"
-				>
-			</File>
-			<File
 				RelativePath="..\..\src\core\Debug.h"
 				>
@@ -374,25 +390,41 @@
 				>
 			</File>
-			<File
-				RelativePath="..\..\src\core\Tickable.h"
-				>
-			</File>
 			<Filter
 				Name="input"
 				>
 				<File
-					RelativePath="..\..\src\core\InputBuffer.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\core\InputInterfaces.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\core\InputManager.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\core\KeyBinder.h"
+					RelativePath="..\..\src\core\input\Button.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\input\CalibratorCallback.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\input\HalfAxis.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\input\InputBuffer.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\input\InputCommands.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\input\InputInterfaces.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\input\InputManager.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\input\KeyBinder.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\input\KeyDetector.h"
 					>
 				</File>
Index: code/trunk/visual_studio/vc8/orxonox.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/orxonox.vcproj	(revision 1505)
+++ code/trunk/visual_studio/vc8/orxonox.vcproj	(revision 1535)
@@ -184,4 +184,8 @@
 				</FileConfiguration>
 			</File>
+			<File
+				RelativePath="..\..\src\orxonox\Settings.cc"
+				>
+			</File>
 			<Filter
 				Name="hud"
@@ -253,4 +257,8 @@
 				<File
 					RelativePath="..\..\src\orxonox\objects\SpaceShipAI.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\objects\Tickable.cc"
 					>
 				</File>
@@ -466,4 +474,8 @@
 				>
 			</File>
+			<File
+				RelativePath="..\..\src\orxonox\Settings.h"
+				>
+			</File>
 			<Filter
 				Name="hud"
@@ -539,4 +551,8 @@
 				<File
 					RelativePath="..\..\src\orxonox\objects\SpaceShipAI.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\objects\Tickable.h"
 					>
 				</File>
